package com.madeu.controller.mobile.mobileuseinfo;

import com.madeu.init.ManagerDraftAction;
import com.madeu.util.HttpUtil;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpSession;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.HashMap;
@Slf4j
@Controller
public class MobileUseInfoController extends ManagerDraftAction{
    /**
     * 이용안내 화면으로 이동.
     *
     * @param request
     * @param response
     * @return
     */
    @RequestMapping(value="/mobileuseinfo/selectUseInfoIntro.do")
    public String  selectUseInfoIntro(HttpSession session, HttpServletRequest request, Model model) {
        log.debug("MobileUseInfoController  selectUseInfoIntro START");

        HashMap<String, Object> paramMap = HttpUtil.getParameterMap(request);
        HashMap<String, Object> map = new HashMap<String, Object>();

        try {
            if (!mobileCheckLogin(session)) {
                return "/mobile/login/login";
            } else {
            }
        } catch (Exception e) {
            e.printStackTrace();
            return "/mobile/login/login";
        }
        log.debug("MobileUseInfoController  selectUseInfoIntro END");
        return "/mobile/useInfo/mobileUseInfo";
    }
}
